Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python2_sitelib: %define python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gst-inspector
Version:        0.4
Release:        alt1_19
Summary:        An introspection data viewer for the GStreamer multimedia framework

License:        GPLv3+
URL:            http://renestadler.de/projects/gst-inspector
Source0:        http://renestadler.de/files/gst-inspector/gst-inspector-%{version}.tar.gz
Source1:        gst-inspector.desktop

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  intltool
BuildRequires:  gettext gettext-tools
BuildRequires:  desktop-file-utils
Requires:       python-module-gst >= 0.10.5
Requires:       gst-plugins-good
Requires:       python-module-pygtk python-module-pygtk-demo
Requires:       python-module-pygobject
Requires:       python-module-pygtk-libglade
Requires:       icon-theme-hicolor

# upstream commit 1e24ba3 adapted to 0.4
Patch1:         gst-inspector-0.4-newergtk.patch
Source44: import.info

%description
GStreamer Inspector is an introspection data viewer for the GStreamer
multimedia framework. Developers of GStreamer applications can use it
to find out about the various elements available in the system.

It can be thought of as a graphical variant of the gst-inspect
program, which currently serves as the canonical source of
introspection information for many developers.


%prep
%setup -q
%patch1 -p1 -b .newergtk


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e 's@%{buildroot}@@' %{buildroot}%{_bindir}/gst-inspector
desktop-file-install --vendor=""                      \
        --dir=%{buildroot}%{_datadir}/applications/   \
        %{SOURCE1}




%files
%doc --no-dereference COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/gst-inspector
%{_datadir}/gst-inspector
%{_datadir}/applications/gst-inspector.desktop
%{_datadir}/icons/hicolor/*/apps/gst-inspector.*
%{python_sitelibdir_noarch}/*


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_18
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_5
- initial fc import

